Skip Navigation

[Fermé] WordPress 4.2.3 update breaks shortcodes

This is the technical support forum for Toolset - a suite of plugins for developing WordPress sites without writing PHP.

Everyone can read this forum, but only Toolset clients can post in it. Toolset support works 6 days per week, 19 hours per day.

This topic contains 208 réponses, has 94 voix.

Last updated by Amir Il y a 6 années et 2 mois.

Auteur
Publications
#319411

Amir
Supporter

The recent (automatic) update to WordPress 4.2.3 breaks shortcodes that appear inside HTML elements.

We are working on a fix for this in Views. This fix will allow you to run your sites with WordPress 4.2.3 and without making any changes to your Views, Content Templates or the site's general content.

Beta versions of Views 1.9.1, which address this change in WordPress are available from:
Your Toolset account > Downloads

Change the status selector at the top of the page to 'beta'. Then, download and install the recent version of Views 1.9.1.

You can follow updates by clicking on the 'Subscribe' button, at the top-right of this thread.

== Update Friday 24/7 Afternoon ==
We've released a beta version which resolves some of the issues. There are other issues that need handling.

== Update Sunday 26/7 Morning ==
We are testing an update to Views 1.9.1, which resolves most remaining issues. We expect to release a second beta today afternoon (European time).

== Update Monday 27/7 Morning ==
We've released another beta, 1.9.1-b2, which solves further issues with wpv-for-each loops, wpv-if evaluations and shortcodes that span more than one line.

== Update Tuesday 28/7 Morning ==
We've just released Types 1.7.8-b1 which solved an issue with WYSIWYG fields: they were preventing further shortcodes from being executed.

== Update Wednesday 29/7 Morning ==
We've just released Types 1.7.8-b2 and Views 1.9.1-b3, which should solve most of the remaining issues, including WYSIWYG fields, wpv-for-each loops, wpv-if conditionals and nested structures.

== Update Friday 31/7 Morning ==
We've just released Types 1.7.8-b3 and Views 1.9.1-b4, which solve the remaining ssues with conditionals in Views loops and compatibility issues with some third party plugins and themes.

== Update Monday 3/8 Afternoon ==
We just reelased Types 1.7.8 and Views 1.9.1. Those are stable versions that should be used to solve any remaining issue.

#319412

Follow

#319414

Thanks for the heads-up. I thought it was something I'd done!
Clearly this is a major issue as you say. I, for one, have around numerous client sites now on automatic update and I'm running WP-Types and Views on all of them, as well as other shortcode-using plugins.

So I'll be listening out for a solution, because I don't particularly like the idea of downgrading WP on all those sites.

Any news / updates / advice etc. welcome!
Thanks

#319417

Hi,
you should not revert the shortcodes.php for security reasons.

And as I read through trac and blogs, etc. the WP Core team will not provide us with a fix.
Did you read this?

https://make.wordpress.org/core/2015/07/23/changes-to-the-shortcode-api/

#319421

Thanks Angele - that's a useful link.
I can see WP's point, but its a shame we didn't get more warning this was happening.

I can imagine the poor devs at WP-types are hard at work to come up with a fix, and I'm sure it will be fine in the end. In the meantime, I'm trying to figure out what I can do to re-write all the shortcode references I've used which are 'not allowed' any more. Half the difficulty is finding them them all on so many sites.

Here are a few I know don't work for me anymore:

<img src="[wpv-post-featured-image raw="true"]"/>

(returns image-not-found icon)

<a href="[types field="socialurl" output="raw"][/types]" target="_blank" title="[types field="title-text"][/types]" class="iconlook"><div class="icondiv" style="background-image:url('[types field="socicon" size="full" url="true"][/types]');"></div></a> 

(returns blank space)

And this View code used to return a working dropdown list of similar posts:

<div class="solselector">
  Similar:
  <span class="dropdownchooser">
  <form onsubmit="return false">
  <select onchange="location.href=this.options[this.selectedIndex].value">
  <option value="">Select Solution</option>
  <wpv-loop>
  <option value="[wpv-post-url]">

      [wpv-post-title]
  </option>
  </wpv-loop>
  </select>
  </form>
  </span>
</div>

... the dropdown still shows, with the post titles in it but the links don't work any more.

If anyone has any other ways to syntax the broken code in 4.2.3 I would be grateful to hear. I'm bracing myself for two dozen client phone calls in the morning and will be pre-empting them with a message about this tonight.

Thanks again for your help.
T

#319424

I'm not sure if the devs at WP are sweating it too much, since the bug is only tagged as "normal" in terms of priority on this thread:

https://core.trac.wordpress.org/ticket/33102

Sheesh. And in that other thread (https://make.wordpress.org/core/2015/07/23/changes-to-the-shortcode-api/) it sounds like the attitude is more annoyed at plugins that don't follow their (changing) rules and "normal" users who are too dumb to understand any of this.

#319439

That's the wrong trac ticket.

The Shortcode API ticket was explaining the differences between what some people were doing and what was allowed.

#319440

Follow

(Please let us know ASAP when this is resolved.)

#319443

What's the right trac ticket?

#319446

Found something with the pagination which maybe helpful to those who used the real estate example to get theirs to work. Using either "<" or ">" in their control name, breaks it. Example.

This Works:

[wpv-pager-prev-page]<span class="previous">[wpml-string context="wpv-views"]previous[/wpml-string][/wpv-pager-prev-page]</span>
        [wpv-pager-next-page]<span class="next">[wpml-string context="wpv-views"]next[/wpml-string][/wpv-pager-next-page]</span>

This Doesn't:

[wpv-pager-prev-page]<span class="previous">[wpml-string context="wpv-views"]<< previous[/wpml-string][/wpv-pager-prev-page]</span>
        [wpv-pager-next-page]<span class="next">[wpml-string context="wpv-views"]next >>[/wpml-string][/wpv-pager-next-page]</span>
#319448

Some of my shortcodes inside HTML worked again when I changed the double quotes to single quotes. Anyone else have success with this?

#319449

Security reports are handled via security@wordpress.org not Trac.

#319453

omg follow

#319457

Also OMG flllow

#319462

Just noticed this, very bad. Following.

Le sujet ‘[Fermé] WordPress 4.2.3 update breaks shortcodes’ est fermé à de nouvelles réponses.